
variable "address_space" {
  type        = list(string)
  description = "The address space that is used by the virtual network."
  default     = [
  "10.0.0.0/16"
]
}

variable "bgp_community" {
  type        = string
  description = "(Optional) The BGP community attribute in format `<as-number>:<community-value>`."
  default     = null
}

variable "ddos_protection_plan" {
  type        = object({
    enable = bool
    id     = string
  })
  description = "The set of DDoS protection plan configuration"
  default     = null
}

variable "dns_servers" {
  type        = list(string)
  description = "The DNS servers to be used with vNet."
  default     = []
}

variable "nsg_ids" {
  type        = map(string)
  description = "A map of subnet name to Network Security Group IDs"
  default     = {}
}

variable "resource_group_name" {
  type        = string
  description = "Name of the resource group to be imported."
  default     = ""
}

variable "route_tables_ids" {
  type        = map(string)
  description = "A map of subnet name to Route table ids"
  default     = {}
}

variable "subnet_delegation" {
  type        = map(map(any))
  description = "A map of subnet name to delegation block on the subnet"
  default     = {}
}

variable "subnet_enforce_private_link_endpoint_network_policies" {
  type        = map(bool)
  description = "A map of subnet name to enable/disable private link endpoint network policies on the subnet."
  default     = {}
}

variable "subnet_enforce_private_link_service_network_policies" {
  type        = map(bool)
  description = "A map of subnet name to enable/disable private link service network policies on the subnet."
  default     = {}
}

variable "subnet_names" {
  type        = list(string)
  description = "A list of public subnets inside the vNet."
  default     = [
  "subnet1",
  "subnet2",
  "subnet3"
]
}

variable "subnet_prefixes" {
  type        = list(string)
  description = "The address prefix to use for the subnet."
  default     = [
  "10.0.1.0/24",
  "10.0.2.0/24",
  "10.0.3.0/24"
]
}

variable "subnet_service_endpoints" {
  type        = map(any)
  description = "A map of subnet name to service endpoints to add to the subnet."
  default     = {}
}

variable "tags" {
  type        = map(string)
  description = "The tags to associate with your network and subnets."
  default     = {
  "ENV": "test"
}
}

variable "tracing_tags_enabled" {
  type        = bool
  description = "Whether enable tracing tags that generated by BridgeCrew Yor."
  default     = false
}

variable "tracing_tags_prefix" {
  type        = string
  description = "Default prefix for generated tracing tags"
  default     = "avm_"
}

variable "use_for_each" {
  type        = bool
  description = "Use `for_each` instead of `count` to create multiple resource instances."
  default     = ""
}

variable "vnet_location" {
  type        = string
  description = "The location of the vnet to create."
  default     = ""
}

variable "vnet_name" {
  type        = string
  description = "Name of the vnet to create"
  default     = "acctvnet"
}

